Get Property
Retrieve a property by ID.
Endpoint
GET /properties/:id
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string | The property ID |
Response
See Create Property for the response shape.
{
"id": "01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a",
"field_key": "lifetime_value",
"display_name": "Lifetime Value",
"data_type": "number",
"description": null,
"fallback_value": "0",
"created_at": "2026-03-01T10:00:00.000Z",
"updated_at": "2026-03-08T12:00:00.000Z"
}
Examples
- cURL
- JavaScript
- Python
- C#
- PHP
curl "https://api.arsel.sa/v1/properties/01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a" \
-H "Authorization: Bearer be_your_api_key"
const propertyId = "01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a";
const response = await fetch(
`https://api.arsel.sa/v1/properties/${propertyId}`,
{ headers: { Authorization: "Bearer be_your_api_key" } },
);
const property = await response.json();
console.log(property.field_key, property.data_type);
import requests
property_id = "01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a"
response = requests.get(
f"https://api.arsel.sa/v1/properties/{property_id}",
headers={"Authorization": "Bearer be_your_api_key"},
)
property = response.json()
print(property["field_key"], property["data_type"])
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer be_your_api_key");
var propertyId = "01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a";
var response = await client.GetAsync($"https://api.arsel.sa/v1/properties/{propertyId}");
Console.WriteLine(await response.Content.ReadAsStringAsync());
<?php
$propertyId = "01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a";
$ch = curl_init("https://api.arsel.sa/v1/properties/{$propertyId}");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer be_your_api_key"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
echo $response;
curl_close($ch);
Error Responses
- 404 Not Found
{
"status_code": 404,
"name": "not_found",
"message": "Property with id \"...\" not found"
}